Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.controls
Interface ShellDefinitionControl

    @ControlInterface
    public interface ShellDefinitionControl

A custom control interface used to interact with shell definitions.

Method Summary
`void` | `deleteShellDefinition(ShellDefinitionId id, ResourceContext context)` Delete a `ShellDefinition`
`ShellDefinition` | `getShellDefinition(ShellDefinitionId id, ResourceContext context)` Getter for returning a single `ShellDefinition` object given a supplied shell definition identifier.
`ShellDefinitionId` | `getShellDefinitionId(String markupName, String webAppName, ResourceContext context)` Getter for returning a single `ShellDefinitionId` object given a shell markup name.
`SortableFilterablePagedResult<ShellDefinition>` | `getShellDefinitions(int pageSize, WebAppSearchCriteria criteria, ResourceContext context)` Getter for returning a list of all `ShellDefinitions` scoped to the supplied webapp.

Method Detail

### getShellDefinitions

    SortableFilterablePagedResult<ShellDefinition> getShellDefinitions(int pageSize,
                                                                       WebAppSearchCriteria criteria,
                                                                       ResourceContext context)
                                                                       throws ToolsException

  Getter for returning a list of all `ShellDefinitions` scoped to the supplied webapp.

  Parameters
    `pageSize` - specifies the number of results returned per page.
    `criteria` - the criteria (including web app name) for the search.
    `context` - the resource context.
  Returns
    A paginated result of matching ShellDefinition objects.
  Throws
    `ToolsException`

### getShellDefinition

    ShellDefinition getShellDefinition(ShellDefinitionId id,
                                       ResourceContext context)
                                       throws ToolsException

  Getter for returning a single `ShellDefinition` object given a supplied shell definition identifier.

  Parameters
    `id` - the ID of the shell definition to retrieve
    `context` - the resource context.
  Returns
    the requested shell definition.
  Throws
    `ToolsException`

### deleteShellDefinition

    void deleteShellDefinition(ShellDefinitionId id,
                               ResourceContext context)
                               throws ObjectInUseException,
                                      NotEntitledException,
                                      ObjectNotFoundException,
                                      ToolsException

  Delete a `ShellDefinition`

  Parameters
    `id` - the ID of the shell definition to delete
    `context` - the resource context.
  Throws
    `ObjectInUseException`
    `NotEntitledException`
    `ObjectNotFoundException`
    `ToolsException`

### getShellDefinitionId

    ShellDefinitionId getShellDefinitionId(String markupName,
                                           String webAppName,
                                           ResourceContext context)
                                           throws ToolsException

  Getter for returning a single `ShellDefinitionId` object given a shell markup name.

  Parameters
    `markupName` - the markup name attribute supplied on the tag,
    `webAppName` - the webapp name
    `context` - the resource context.
  Returns
    the unique shell definition identifier or null if none exists.
  Throws
    `ToolsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.